Album: 'Polymonstrology: Act 1 OST'
Date: July 14, 2024
Date Added: June 19, 2025
URLs:
- https://polymonstrology.bandcamp.com/album/polymonstrology-act-1-ost
Artists:
- Gomaliel
Cover Artists:
- Gomaliel
Wallpaper Artists:
- Gomaliel
- Jebb (edits for wiki)
Cover Art File Extension: png
Wallpaper File Extension: png
Color: '#fe0000'
Groups:
- Fandom
---
Track: Act 1
Duration: 0:48
URLs:
- https://polymonstrology.bandcamp.com/track/act-1
---
Track: Tammuz's Theme
Duration: 1:40
URLs:
- https://polymonstrology.bandcamp.com/track/tammuzs-theme
---
Track: Zipizz's Theme
Duration: 2:05
URLs:
- https://polymonstrology.bandcamp.com/track/zipizzs-theme
---
Track: Amborn's Theme
Duration: 2:22
Referenced Tracks:
- Rasputin
- Showtime (Original Mix)
URLs:
- https://polymonstrology.bandcamp.com/track/amborns-theme
---
Track: Llerst's Theme
Duration: 1:32
URLs:
- https://polymonstrology.bandcamp.com/track/llersts-theme
---
Track: Polymonstrology
Duration: 1:45
URLs:
- https://polymonstrology.bandcamp.com/track/polymonstrology
---
Track: Scuttling
Duration: 1:00
URLs:
- https://polymonstrology.bandcamp.com/track/scuttling
---
Track: Connect
Duration: 1:36
Referenced Tracks:
- track:sburban-jungle
URLs:
- https://polymonstrology.bandcamp.com/track/connect
---
Track: Some Manner of Blue Spirit
Duration: 2:06
URLs:
- https://polymonstrology.bandcamp.com/track/some-manner-of-blue-spirit
---
Track: Revolutionary Phantasies
Duration: 2:00
URLs:
- https://polymonstrology.bandcamp.com/track/revolutionary-phantasies
---
Track: Godrisen
Duration: 2:52
URLs:
- https://polymonstrology.bandcamp.com/track/godrisen